सवाल मैं फ़ायरफ़ॉक्स डेवलपर संस्करण कैसे स्थापित करूं?


मोज़िला ने फ़ायरफ़ॉक्स डेवलपर संस्करण जारी किया! मैं उबंटू पर इसे कैसे स्थापित करूं?

स्रोत:


182
2017-11-10 18:32


मूल


उम, पूरे लेख को पढ़ने के लिए, नीचे डाउनलोड करने के लिए एक लिंक है? यह शुरू करने के लिए एक अच्छी जगह होगी! - Charles Green
आप इसे सीधे उत्तर दे सकते थे: askubuntu.com/questions/547987/... और कृपया पहले पार्टी लिंक का उपयोग करने का प्रयास करें (hacks.mozilla.org/2014/11/...) तीसरे पक्ष के बजाय। - muru
चूंकि फ़ायरफ़ॉक्स डेवलपर संस्करण डेवलपर के लिए डिज़ाइन किया गया एक टूल है, इसलिए मैं आपको उस उत्तर को सत्यापित करने का सुझाव देता हूं जो इसे उबंटू-मेक (umake) नामक आधिकारिक उबंटू इंस्टॉलर के साथ स्थापित करने का तरीका बताता है: askubuntu.com/a/584704/85273 - cm-t
@ सेमी-टी मैं उबंटू मेक के साथ एफ.डी.ई. स्थापित करने के तरीके पर अपना उत्तर संपादित करता हूं! - blade19899


जवाब:


फ़ायरफ़ॉक्स डेवलपर संस्करण


फ़ायरफ़ॉक्स डेवलपर संस्करण फ़ायरफ़ॉक्स का एक संशोधित संस्करण है, विशेष रूप से वेब डेवलपर्स के लिए डिज़ाइन किया गया है। यह एक का उपयोग करता है अलग प्रोफाइल फ़ायरफ़ॉक्स के नियमित संस्करण की तुलना में। मतलब है कि आपके पास डेवलपर संस्करण के बगल में स्थापित फ़ायरफ़ॉक्स या एफ-बीटा दोनों हो सकते हैं। ध्यान दें कि आपका एफडीई एक पूरी तरह संयुक्त राष्ट्र अनुकूलित ब्राउज़र होगा। सेटिंग्स को एकजुट करने के लिए, आप इसका उपयोग कर सकते हैं फ़ायरफ़ॉक्स सिंक

एफडीई का उपयोग करते समय यहां कई भत्ते में से एक है:

"डेवलपर संस्करण का उपयोग करके, आप मुख्य फ़ायरफ़ॉक्स रिलीज चैनल तक पहुंचने से कम से कम 12 सप्ताह पहले टूल और प्लेटफ़ॉर्म सुविधाओं तक पहुंच प्राप्त कर सकते हैं।" - डेवलपर संस्करण - मोज़िला | MDN # The_latest_Firefox_features

स्थापना


वर्तमान में, पीपीए या इसके माध्यम से ऐसा करने के तीन तरीके हैं उबंटू मेक

मैन्युअल


वहाँ से डाउनलोड मोज़िला फ़ायरफ़ॉक्स डेवलपर संस्करण वेबपृष्ठ। इसे निकालें file-roller और फ़ोल्डर को अपने अंतिम स्थान पर ले जाएं। एक अच्छा अभ्यास इसे स्थापित करना है /opt/ या /usr/local/

एक बार जब आप फ़ाइलों को उनके अंतिम स्थान पर ले जाते हैं (कहें /opt/firefox_dev/), आप निम्न फ़ाइल बना सकते हैं ~/.local/share/applications/firefox_dev.desktop सामान्य फ़ायरफ़ॉक्स से अलग आइकन के साथ लॉन्चर प्राप्त करने के लिए।

[Desktop Entry]
Name=Firefox Developer 
GenericName=Firefox Developer Edition
Exec=/opt/firefox_dev/firefox
Terminal=false
Icon=/opt/firefox_dev/browser/chrome/icons/default/default128.png
Type=Application
Categories=Application;Network;X-Developer;
Comment=Firefox Developer Edition Web Browser.

लॉन्चर को विश्वसनीय के रूप में चिह्नित करने के लिए, इसे निष्पादन योग्य बनाएं:

chmod +x ~/.local/share/applications/firefox_dev.desktop

इसे लॉन्च करने के लिए, अपने "फाइल" एप्लिकेशन का उपयोग करके ~ / .local / share / application / पर जाएं (सुनिश्चित करें कि आप छुपा फ़ोल्डर्स चालू करें), फिर firefox_dev.desktop पर डबल-क्लिक करें। वैकल्पिक रूप से, के लिए खोज करें Firefox Developer, और बस चलाओ firefox बाइनरी, और voilà।

ध्यान दें कि, जब आप मैन्युअल रूप से स्थापित करते हैं, तो एफडीई। डिफ़ॉल्ट रूप से एकता वैश्विक मेनू नहीं है।

पीपीए


वर्तमान में डेवलपर्स के लिए फ़ायरफ़ॉक्स में रहता है फ़ायरफ़ॉक्स अरोड़ा बनाता है: "उबंटू मोज़िला डेली बिल्ड टीम" टीम। इस बात पर ध्यान दिया जाना चाहिए कि:

"फ़ायरफ़ॉक्स डेवलपर संस्करण अरोड़ा चैनल को बदल देता है फ़ायरफ़ॉक्स रिलीज प्रक्रिया। अरोड़ा की तरह, नाइटली बिल्डों में स्थिर होने के बाद, हर छः हफ्ते में डेवलपर संस्करण में सुविधाएं भूमि पर आ जाएंगी। "- डेवलपर संस्करण - मोज़िला | एमडीएन #The_latest_Firefox_features

इसके अलावा:

"संस्करण 35.0 ए 2, पहली बार 10 नवंबर, 2014 को फ़ायरफ़ॉक्स डेवलपर संस्करण उपयोगकर्ताओं को पेश किया गया" - फ़ायरफ़ॉक्स - अरोड़ा नोट्स (35.0 ए 2) - मोज़िला # मुख्य सामग्री

फ़ायरफ़ॉक्स डेवलपर संस्करण स्थापित करें, जिसे पहले अरोड़ा के रूप में जाना जाता था, जैसे:

sudo add-apt-repository ppa:ubuntu-mozilla-daily/firefox-aurora
sudo apt-get update
sudo apt-get install firefox

मोज़िला पीपीए केवल समर्थित उबंटू रिलीज के लिए पैकेज रखता है, न कि ईओएल (एंड ऑफ लाइफ) रिलीज।

ध्यान दें कि उपर्युक्त पीपीए के साथ स्थापित करने के परिणामस्वरूप आपकी वर्तमान फ़ायरफ़ॉक्स स्थापना बदली जा रही है!

उबंटू मेक

इस विधि द्वारा प्रदान किया गया है जॉर्ज कास्त्रो। मैं इसे यहां जोड़ रहा हूं, क्योंकि यह फ़ायरफ़ॉक्स डेवलपर संस्करण (और कई अन्य देव उपकरण) को स्थापित करने का भी एक शानदार तरीका है।

sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make
sudo apt-get update
sudo apt-get install ubuntu-make

यूबंटू-मेक स्थापित करने के बाद, इसे इंस्टॉल करने के लिए कहें web साधन firefox-dev

umake web firefox-dev

स्थापना रद्द करें


यदि आप वर्तमान डिफ़ॉल्ट फ़ायरफ़ॉक्स को रखना चाहते हैं, क्योंकि एफडीई में आपकी कोई नई विशेषताएं नहीं हैं, या किसी भी कारण से, इसे अनइंस्टॉल करने के कुछ तरीके यहां दिए गए हैं।

पीपीए


आप पीपीए-पुर्ज का उपयोग करके पीपीए और उसके पैकेज को हटा सकते हैं।

इसे इस तरह स्थापित करें:

sudo apt-get install ppa-purge

निम्नलिखित पीपीए, और इसके पैकेज हटा देंगे:

sudo ppa-purge ppa:ubuntu-mozilla-daily/firefox-aurora

मैन्युअल


के साथ बाइनरी हटा दें rm आदेश (उस स्थान के पथ का नाम बदलें जिसे आपने वास्तव में एफडीई निकाला था)। या आपके फ़ाइल प्रबंधक के साथ:

sudo rm -r /opt/firefox_dev/

इसके अलावा भी हटा दें firefox_dev.desktop

sudo rm ~/.local/share/applications/firefox_dev.desktop

इसके बाद आपने फ़ायरफ़ॉक्स डेवलपर संस्करण को सफलतापूर्वक हटा दिया है।

उबंटू मेक

निम्न आदेश फ़ायरफ़ॉक्स डेवलपर संस्करण को हटा देगा:

umake web firefox-dev -r

आप उमेक और इसके पीपीए को भी हटा सकते हैं (ppa-purge आवश्यक, उपरोक्त स्थापना निर्देश देखें):

sudo ppa-purge ppa:ubuntu-desktop/ubuntu-make

स्क्रीनशॉट

enter image description here  उबंटू 14.04.1 पर फ़ायरफ़ॉक्स डेवलपर संस्करण

थीम बदलें

लिखने के समय, एफडीई के लिए तीन थीम उपलब्ध हैं। यहां उन्हें सक्षम करने का तरीका बताया गया है।

यूआरएल बार में टाइप करें:

about: config

जब खोज फ़िल्टर में टाइप करें theme। फिर डबल क्लिक करें devtools.theme। उसके बाद, टाइप करें light, और विषय लागू किया जाएगा।

Multiple FDE themes

एफडीई के लिए उपलब्ध कई विषयों के साथ स्क्रीनशॉट।

विशेषताएं


कुछ - लेकिन सभी नहीं - मोज़िला द्वारा बताई गई विशेषताएं:

  • WebIDE:

    • आपको सीधे अपने ब्राउज़र में या फ़ायरफ़ॉक्स ओएस डिवाइस पर वेब ऐप्स को विकसित, तैनात और डिबग करने की अनुमति देता है। यह आपको टेम्पलेट से एक नया फ़ायरफ़ॉक्स ओएस ऐप (जो सिर्फ एक वेब ऐप है) बनाने देता है, या मौजूदा ऐप का कोड खोलता है। वहां से आप ऐप की फाइलों को संपादित कर सकते हैं। यह एक सिम्युलेटर में ऐप चलाने के लिए एक क्लिक है और इसे डेवलपर टूल के साथ डीबग करने के लिए एक और है।

    • वेब आईडीई - यूट्यूब

  • वैलेंस:

    • (जिसे पहले फ़ायरफ़ॉक्स टूल्स एडाप्टर कहा जाता है) आपको फ़ायरफ़ॉक्स देव टूल्स को अन्य प्रमुख ब्राउज़र इंजनों से कनेक्ट करके अपने ऐप को कई ब्राउज़रों और उपकरणों में विकसित और डिबग करने देता है। वैलेंस भी उन अद्भुत टूल को बढ़ाता है जिन्हें हमने डीबग करने के लिए बनाया है फ़ायरफ़ॉक्स ओएस तथा Android के लिए फ़ायरफ़ॉक्स आईओएस पर एंड्रॉइड और सफारी पर क्रोम सहित अन्य प्रमुख मोबाइल ब्राउज़र में। अब तक इन उपकरणों में हमारे इंस्पेक्टर, डीबगर और कंसोल और स्टाइल एडिटर शामिल हैं।

    • वैलेंस - यूट्यूब

  • उत्तरदायी डिजाइन मोड:

    • देखें कि आपकी वेबसाइट या वेब ऐप आपकी ब्राउज़र विंडो के आकार को बदले बिना विभिन्न स्क्रीन आकारों पर कैसे दिखेगा।
  • पेज इंस्पेक्टर:

    • किसी भी वेब पेज के एचटीएमएल और सीएसएस की जांच करें और आसानी से किसी पृष्ठ की संरचना और लेआउट को संशोधित करें।
  • वेब कंसोल:

    • वेब पेज से जुड़े लॉग इन जानकारी देखें और वेब कंसोल का उपयोग करें और जावास्क्रिप्ट का उपयोग कर वेब पेज से बातचीत करें।
  • जावास्क्रिप्ट डीबगर:

    • जावास्क्रिप्ट कोड के माध्यम से कदम और बग को ट्रैक करने में मदद के लिए अपने राज्य की जांच या संशोधित करें।
  • नेटवर्क मॉनीटर:

    • अपने ब्राउज़र के सभी नेटवर्क अनुरोधों को देखें, प्रत्येक अनुरोध कब तक लेता है और प्रत्येक अनुरोध का विवरण।
  • स्टाइल संपादक:

    • वेब पेज से जुड़े सीएसएस शैलियों को देखें और संपादित करें, नए बनाएं और मौजूदा सीएसएस स्टाइलशीट को किसी भी पेज पर लागू करें।
  • वेब ऑडियो संपादक:

    • यह सुनिश्चित करने के लिए कि सभी ऑडियो नोड्स आपके द्वारा अपेक्षित तरीके से जुड़े हुए हैं, वास्तविक समय में वेब ऑडियो एपीआई के साथ निरीक्षण करें और बातचीत करें।

संदर्भ:



223
2017-11-10 18:34



हाँ - मुझे वह भी मिला है। लेकिन ए) उसके बाद निर्देशिका पेड़ में कहां रखा जाता है (मैंने फ़ोल्डर / फ़ायरफ़ॉक्सडेव में फ़ोल्डर का नाम बदलने के बाद नियमित फ़ायरफ़ॉक्स की तरह ही किया था)? और बी) मैं लॉन्चर में आइकन कैसे प्राप्त करूं, और मुझे यह खोज बॉक्स कैसे मिल सकता है? - Thomas Browne
@ थॉमसब्रोन नहीं, यह गलत है। आपको मैन्युअल रूप से उस स्थान या कहीं और प्रोग्राम में प्रोग्राम नहीं रखना चाहिए /opt/, /usr/local/…, आपकी होम निर्देशिका या हटाने योग्य मीडिया। /opt/, शायद से बेहतर है /usr/local/…। en.wikipedia.org/wiki/Filesystem_Hierarchy_Standard लॉन्चर आइकन के लिए देखें: askubuntu.com/q/13758/40581 - LiveWireBT
उत्कृष्ट जवाब, smarmy "कड़ी मेहनत" टिप्पणियों पर बहुत सराहना की। धन्यवाद। - Seth
पीपीए का उपयोग कुछ भी नहीं करता है, मैं अभी भी फ़ायरफ़ॉक्स के गैर-देव संस्करण के साथ अटक गया हूं; umake बस outputs ERROR: Download page changed its syntax or is not parsable। - Philipp Ludwig
ऐसा लगता है कि अरोड़ा पीपीए को हटा दिया गया था। यकीन नहीं है कि क्यों... - solstice333


फ़ायरफ़ॉक्स डेवलपर संस्करण के हिस्से के रूप में उपलब्ध है उबंटू मेक:

sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make
sudo apt-get update
sudo apt-get install ubuntu-make

उसके बाद फ़ायरफ़ॉक्स इंस्टॉलर को अपने उपयोगकर्ता के रूप में चलाएं (इस मामले में सुडो का उपयोग न करें):

umake web firefox-dev

यह आपको फ़ायरफ़ॉक्स इंस्टॉल करने के लिए संकेत देगा, और उसके बाद इसे स्वचालित रूप से डाउनलोड करें और इसे इंस्टॉल करें।

यदि आप लॉन्चर में, एक नया आइकन उबंटू (एकता) का उपयोग कर रहे हैं फ़ायरफ़ॉक्स डेवलपर संस्करण पिन किया गया है अपने ताजा स्थापित करने के लिए इसे क्लिक करें फ़ायरफ़ॉक्स डेवलपर संस्करण

फ़ायरफ़ॉक्स डेवलपर संस्करण ऑटो-अपडेट के लिए खुद को संकेत देगा (एपीटी का उपयोग नहीं करेगा)।


25
2018-02-12 15:02



उबंटू 15.04 से आप पैकेज इंस्टॉल कर सकते हैं ubuntu-make मुख्य भंडार से। - funky-future
पीपीए केवल नाम के साथ उबंटू मेक पैकेज प्रदान करता है: ubuntu-make नहीं umake! - blade19899
Thx .. ऊपर दिए गए उत्तरों की तुलना में अपनी गाइड का उपयोग करना आसान है :) - choz
उबंटू 16.04.1 को मुझे पीपीए का उपयोग करना पड़ा। ubuntu-make मुख्य रेपो में पुराना है और देता है ERROR: Download page changed its syntax or is not parsable। पीपीए संस्करण ठीक काम करता है। - TalkLittle
@ jorge-castro क्या यह दैनिक स्वचालित रूप से निर्माण और अपडेट होता है? - Bsienn


sudo apt-get install gnome-panel 
sudo mv /from_where_it_is to /opt/firefox_dev/
sudo chown -R $(whoami):$(whoami) /opt/firefox_dev/
gnome-desktop-item-edit ~/.local/share/applications --create-new

इसे एकता में खोजने की तुलना में


14
2017-11-11 02:14



के लिये gnome-desktop-item-edit, आपको स्थापित करना होगा gnome-panel: apt-get install gnome-panel। - Zoltán


  1. से tar.bz2 फ़ाइल डाउनलोड करें https://www.mozilla.org/en-US/firefox/developer/
  2. टर्मिनल में, टैर निकालें (tar xvjf filename.tar.bz2)
  3. नई निर्देशिका में जाएं जहां फाइलों को निकाला गया है। मेरे लिए इसे बुलाया गया था firefox/
  4. प्रकार ./firefox

4
2017-11-10 21:35



यदि आप अपडेट करते हैं तो यह कैसे काम करता है, तो आप इसे अपडेट-सक्षम कैसे बनाते हैं? - sumit
सरल और आसान - siva35


एक चीज जो आप कर सकते हैं, अगर आपके पास gnome-panel / gnome-desktop-item-edit इंस्टॉल नहीं है, तो एक बना है .desktop मैन्युअल रूप से फ़ाइल करें।

आप इसे चला सकते हैं:

sudo mv /from_where_it_is to /opt/firefox_dev/
sudo chown -R $(whoami):$(whoami) /opt/firefox_dev/

फिर दौड़ें (आप स्पष्ट रूप से स्वैप कर सकते हैं nano आप जिस भी ऐप का उपयोग करना चाहते हैं उसके लिए):

sudo nano ~/.local/share/applications/firefox_dev.desktop

और निम्न दर्ज करें (या इसे आप कैसे पसंद करते हैं इसे बदलें):

[Desktop Entry]
Encoding=UTF-8
Version=35.0a2                                  # version of the app.
Name[en_US]=firefox_dev                         # name of the app.
GenericName=Firefox Developer Edition           # longer name of the app.
Exec=/opt/firefox_dev/firefox                   # command used to launch the app.
Terminal=false                                  # whether the app requires to be run in a terminal.
Icon[en_US]=firefox                             # location of icon file - Firefox Dev currently has no icon of its own, so just using the system default for Firefox
Type=Application                                # type.
Categories=Application;Network;Developer;       # categories in which this app should be listed.
Comment[en_US]=Firefox Developer Edition Web Browser. # comment which appears as a tooltip.

2
2017-11-11 14:25



उस फ़ोल्डर में .desktop फ़ाइल डालने के लिए मेरे लिए पर्याप्त नहीं था। इसके बजाय, फ़ाइल पर राइट क्लिक करें, गुण क्लिक करें, "निष्पादन योग्य के रूप में चलाएं" अनुमति चालू करें, और फ़ाइल को डबल क्लिक करें। एफएफ देव संस्करण लॉन्च होना चाहिए। लॉन्चर में अपने आइकन पर राइट क्लिक करें और इसे लॉक करें। - Jack M


sudo add-apt-repository ppa:ubuntu-mozilla-daily/firefox-aurora
sudo apt-get update
sudo apt-get upgrade

यह आपके भंडारों में दैनिक फ़ायरफ़ॉक्स को जोड़ देगा और फ़ायरफ़ॉक्स-देव स्थापित करेगा। इस पोस्ट को लिखने के रूप में, ये संस्करण संख्याएं मेल (35.0 ए 2)।


0
2017-11-11 23:50



क्या आपने वास्तव में जो लिखा है उसे आजमाया, या क्या आप मुझे यह बताने के लिए आए हैं कि मैं गलत हूं? मैंने बिल्कुल यह किया और मैं डेवलपर संस्करण के एक अच्छी तरह से स्थापित संस्करण के साथ काम कर रहा हूं, नए देव उपकरणों का पूरा सूट शामिल है। वास्तव में, यहां शीर्ष जवाब मेरा समाधान ले लिया है। - David Harbage
आपकी पोस्ट के समय, हाँ, मैंने कोशिश की, और यह वही निर्माण नहीं था - ऐसा लगता है कि तब से इसे अपडेट किया गया है, और शायद यह पुराना पैकेज डेटा था। शायद मेरे सिस्टम में एक बग, लेकिन टिप्पणी के समय किसी भी तरह से यह वही संस्करण नहीं था - Thomas Ward♦


समस्या यह है कि जब आपने फ़ाइल डाउनलोड की, तो इसे निष्पादन योग्य अनुमतियों से सहेजा नहीं गया।

  • यहां फ़ायरफ़ॉक्स डेवलपर संस्करण डाउनलोड करें:
    https://www.mozilla.org/en-US/firefox/developer/

  • फ़ाइल को मैन्युअल रूप से निकालें /opt/firefox/

  • ओपन नॉटिलस: जाओ Edit->Preferences-> Behavior-> click on "Run executable text files when they are opened"

  • फ़ाइल पर जाएं 'firefox' में /opt/firefox/

  • राइट क्लिक करें और चुनें Properties--> Permissions--> Execute: Allow executing file as a program. 

  • टर्मिनल खोलें और टाइप करें:

gnome-desktop-item-edit ~ / .local / share / applications --create-new

शॉर्टकट बनाएं और आपका काम हो गया!

यदि आप अभी भी इसे चलाने में असमर्थ हैं, तो आपको यहां सभी उत्तरों का पालन करने के बाद भी फ़ायरफ़ॉक्स इंस्टॉल करने में समस्या हो सकती है। ऐसा इसलिए हो सकता है क्योंकि फ़ायरफ़ॉक्स निम्न पुस्तकालयों या संकुलों के बिना बिल्कुल नहीं चलेंगे:

  • जीटीके + 2.18 या उच्चतर
  • जीएलआईबी 2.22 या उच्चतर
  • पेंगो 1.14 या उच्चतर
  • X.Org 1.0 या उच्चतम (1.7 या उच्चतर अनुशंसित है)
  • libstdc ++ 4.3 या उच्चतर

libstdc ++ डिफ़ॉल्ट रूप से उबंटू में शामिल नहीं है।

इष्टतम कार्यक्षमता के लिए, निम्नलिखित अनुशंसित पुस्तकालय या पैकेज हैं:

  • नेटवर्क प्रबंधक 0.7 या उच्चतम
  • डीबीस 1.0 या उच्चतर
  • एचएएल 0.5.8 या उच्चतम
  • गनोम 2.16 या उच्चतम

पैकेज स्थापित करने के लिए, टर्मिनल खोलें और टाइप करें

sudo apt-get install [package-name]

मैं फ़ायरफ़ॉक्स निर्देशिका में फ़ाइल 'फ़ायरफ़ॉक्स' में निहित निष्पादन योग्य स्क्रिप्ट लॉन्च करने में सक्षम नहीं था।


0
2017-11-11 06:31



यह वास्तव में प्रश्न के उत्तर के रूप में नहीं गिना जाता है - आपने फ़ायरफ़ॉक्स डेवलपर संस्करण को 'इंस्टॉल' करने का उत्तर नहीं दिया है। - Thomas Ward♦
@ThomasW। हां, मुझे लगता है कि यहां निर्देशों का पालन करने के बाद उसे चलाने में समस्या होनी चाहिए। निष्पादन योग्य फ़ाइल चलाने में सक्षम नहीं होने के संभावित कारण को हल करने के लिए उत्तर संपादित किया गया। - Faiz